List of all members
clan::PixelBufferSet Class Reference
clanDisplay Display

Set of images that combined form a complete texture. More...

`#include <pixel_buffer_set.h>`

## Public Member Functions
Construction
| PixelBufferSet ()
| Constructs a null instance. More...
| PixelBufferSet (TextureDimensions dimensions, TextureFormat format, int width, int height=1, int slices=1)
| Constructs an image set of the specified dimensions type and internal format. More...
| PixelBufferSet (const PixelBuffer &image)
| Constructs an image set with a single image using the dimensions and internal format of the pixel buffer. More...
Attributes
bool | is_null () const
| Returns true if this object is invalid. More...
void | throw_if_null () const
| Throw an exception if this object is invalid. More...
TextureDimensions | get_dimensions () const
| Returns the texture dimensions used by the image set. More...
TextureFormat | get_format () const
| Returns the internal texture format used by the image. More...
int | get_width () const
| Returns the width of the image. More...
int | get_height () const
| Returns the height of the image. More...
int | get_slice_count () const
| Returns the number of depth/array/cube slices in the set. More...
int | get_base_level () const
| Returns the lowest mip level specified in the set. More...
int | get_max_level () const
| Returns the highest mip level specified in the set. More...
PixelBuffer | get_image (int slice, int level)
| Returns the pixel buffer for a specific slice and level. More...
Operations
void | set_image (int slice, int level, const PixelBuffer &image)
| Set the pixel buffer to be used for the specified slice and level. More...

## Detailed Description

Set of images that combined form a complete texture.

The documentation for this class was generated from the following file:

- pixel_buffer_set.h